<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bmc',

    /*
     * Package.
     */
    'package'   => 'staff',

    /*
     * Modules.
     */
    'modules'   => ['staff', 'galleries'],

    'staff'       => [
        'model' => [
            'model' => \Bmc\Staff\Models\Staff::class,
            'repository' => \Bmc\Staff\Repositories\Eloquent\StaffRepository::class,
            'table' => 'staff',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['first_name',  'Last Name'],
            'translatables' => [],
            'upload_folder' => 'staff/staff',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Bmc',
            'package' => 'Staff',
            'module' => 'Staff',
        ],
    ],
    'galleries'       => [
        'model' => [
            'model' => \Bmc\Staff\Models\Galleries::class,
            'repository' => \Bmc\Staff\Repositories\Eloquent\GalleriesRepository::class,
            'table' => 'galleries',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'staff/galleries',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Bmc',
            'package' => 'Staff',
            'module' => 'Galleries',
        ],
    ],
];
