<?php

namespace Bmc\Staff\Seeders;

use DB;
use Illuminate\Database\Seeder;

class GalleriesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('galleries')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'staff.galleries.view',
                'name'      => 'View Galleries',
            ],
            [
                'slug'      => 'staff.galleries.create',
                'name'      => 'Create Galleries',
            ],
            [
                'slug'      => 'staff.galleries.edit',
                'name'      => 'Update Galleries',
            ],
            [
                'slug'      => 'staff.galleries.delete',
                'name'      => 'Delete Galleries',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'staff.galleries.verify',
                'name'      => 'Verify Galleries',
            ],
            [
                'slug'      => 'staff.galleries.approve',
                'name'      => 'Approve Galleries',
            ],
            [
                'slug'      => 'staff.galleries.publish',
                'name'      => 'Publish Galleries',
            ],
            [
                'slug'      => 'staff.galleries.unpublish',
                'name'      => 'Unpublish Galleries',
            ],
            [
                'slug'      => 'staff.galleries.cancel',
                'name'      => 'Cancel Galleries',
            ],
            [
                'slug'      => 'staff.galleries.archive',
                'name'      => 'Archive Galleries',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/staff/galleries',
                'name'        => 'Galleries',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/staff/galleries',
                'name'        => 'Galleries',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'galleries',
                'name'        => 'Galleries',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Staff',
                'module'    => 'Galleries',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'staff.galleries.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
