Lavalite package that provides staff management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bmc/staff`.

    "bmc/staff": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bmc\Staff\Providers\StaffServiceProvider::class,

And also add it to alias

    'Staff'  => Bmc\Staff\Facades\Staff::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bmc\\Staff\\Seeders\\StaffTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bmc\Staff\Providers\StaffServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bmc\Staff\Providers\StaffServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bmc\Staff\Providers\StaffServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/staff/{modulename}

**User**

    http://path-to-route-folder/user/staff/{modulename}

**Public**

    http://path-to-route-folder/staff


### API endpoints

**List**

    http://path-to-route-folder/api/user/staff/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/staff/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/staff/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/staff/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/staff/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/staff/{modulename}/{slug}
    METHOD: GET