<?php

namespace Bmc\Staff\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Staff policy
        \Bmc\Staff\Repositories\Eloquent\StaffRepository::class 
        => \Bmc\Staff\Policies\StaffPolicy::class,// Bind Galleries policy
        \Bmc\Staff\Repositories\Eloquent\GalleriesRepository::class 
        => \Bmc\Staff\Policies\GalleriesPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
