<?php

namespace Bmc\Staff\Repositories\Eloquent;

use Bmc\Staff\Interfaces\GalleriesRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Bmc\Staff\Repositories\Eloquent\Presenters\GalleriesItemPresenter;


class GalleriesRepository extends BaseRepository implements GalleriesRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('bmc.staff.galleries.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bmc.staff.galleries.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return GalleriesItemPresenter::class;
    }
}
