<?php

namespace Bmc\Staff\Repositories\Eloquent;

use Bmc\Staff\Interfaces\StaffRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Bmc\Staff\Repositories\Eloquent\Presenters\StaffItemPresenter;


class StaffRepository extends BaseRepository implements StaffRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('bmc.staff.staff.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bmc.staff.staff.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return StaffItemPresenter::class;
    }
}
