<?php

namespace Bmc\Staff\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Bmc\Staff\Models\Galleries;

class GalleriesAction
{
    /**
     * Perform the complete action.
     *
     * @param Galleries $galleries
     *
     * @return Galleries
     */
    public function complete(Galleries $galleries)
    {
        try {
            $galleries->status = 'complete';
            return $galleries->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Galleries $galleries
     *
     * @return Galleries
     */public function verify(Galleries $galleries)
    {
        try {
            $galleries->status = 'verify';
            return $galleries->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Galleries $galleries
     *
     * @return Galleries
     */public function approve(Galleries $galleries)
    {
        try {
            $galleries->status = 'approve';
            return $galleries->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Galleries $galleries
     *
     * @return Galleries
     */public function publish(Galleries $galleries)
    {
        try {
            $galleries->status = 'publish';
            return $galleries->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Galleries $galleries
     *
     * @return Galleries
     */
    public function archive(Galleries $galleries)
    {
        try {
            $galleries->status = 'archive';
            return $galleries->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Galleries $galleries
     *
     * @return Galleries
     */
    public function unpublish(Galleries $galleries)
    {
        try {
            $galleries->status = 'unpublish';
            return $galleries->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
