<?php

namespace Bmc\Staff\Workflow;

use Bmc\Staff\Models\Galleries;
use Bmc\Staff\Notifications\GalleriesWorkflow as GalleriesNotifyer;
use Notification;

class GalleriesNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Galleries $galleries
     *
     * @return void
     */
    public function complete(Galleries $galleries)
    {
        return Notification::send($galleries->user, new GalleriesNotifyer($galleries, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Galleries $galleries
     *
     * @return void
     */
    public function verify(Galleries $galleries)
    {
        return Notification::send($galleries->user, new GalleriesNotifyer($galleries, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Galleries $galleries
     *
     * @return void
     */
    public function approve(Galleries $galleries)
    {
        return Notification::send($galleries->user, new GalleriesNotifyer($galleries, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Galleries $galleries
     *
     * @return void
     */
    public function publish(Galleries $galleries)
    {
        return Notification::send($galleries->user, new GalleriesNotifyer($galleries, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Galleries $galleries
     *
     * @return void
     */
    public function archive(Galleries $galleries)
    {
        return Notification::send($galleries->user, new GalleriesNotifyer($galleries, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Galleries $galleries
     *
     * @return void
     */
    public function unpublish(Galleries $galleries)
    {
        return Notification::send($galleries->user, new GalleriesNotifyer($galleries, 'unpublish'));;

    }
}
